CipherSuite (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class CipherSuite

- java.lang.Object
- - org.bouncycastle.crypto.tls.CipherSuite

-     public class CipherSuite
      extends java.lang.Object

  RFC 2246 A.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TLS_DH_anon_EXPORT_WITH_DES40_CBC_SHA`
    `static int` | `TLS_DH_anon_EXPORT_WITH_RC4_40_MD5`
    `static int` | `TLS_DH_anon_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_DH_anon_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_DH_anon_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_DH_anon_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_DH_anon_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_DH_anon_WITH_AES_256_CBC_SHA256`
    `static int` | `TLS_DH_anon_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA`
    `static int` | `TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_DH_anon_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA`
    `static int` | `TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA256`
    `static int` | `TLS_DH_anon_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_DH_anon_WITH_DES_CBC_SHA`
    `static int` | `TLS_DH_anon_WITH_RC4_128_MD5`
    `static int` | `TLS_DH_anon_WITH_SEED_CBC_SHA`
    `static int` | `TLS_DH_DSS_EXPORT_WITH_DES40_CBC_SHA`
    `static int` | `TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_DH_DSS_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_DH_DSS_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_DH_DSS_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_DH_DSS_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_DH_DSS_WITH_AES_256_CBC_SHA256`
    `static int` | `TLS_DH_DSS_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA`
    `static int` | `TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_DH_DSS_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA`
    `static int` | `TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA256`
    `static int` | `TLS_DH_DSS_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_DH_DSS_WITH_DES_CBC_SHA`
    `static int` | `TLS_DH_DSS_WITH_SEED_CBC_SHA`
    `static int` | `TLS_DH_RSA_EXPORT_WITH_DES40_CBC_SHA`
    `static int` | `TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_DH_RSA_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_DH_RSA_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_DH_RSA_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_DH_RSA_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_DH_RSA_WITH_AES_256_CBC_SHA256`
    `static int` | `TLS_DH_RSA_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA`
    `static int` | `TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_DH_RSA_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA`
    `static int` | `TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA256`
    `static int` | `TLS_DH_RSA_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_DH_RSA_WITH_DES_CBC_SHA`
    `static int` | `TLS_DH_RSA_WITH_SEED_CBC_SHA`
    `static int` | `TLS_DHE_DSS_EXPORT_WITH_DES40_CBC_SHA`
    `static int` | `TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_DHE_DSS_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_DHE_DSS_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_DHE_DSS_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_DHE_DSS_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_DHE_DSS_WITH_AES_256_CBC_SHA256`
    `static int` | `TLS_DHE_DSS_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA`
    `static int` | `TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_DHE_DSS_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA`
    `static int` | `TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA256`
    `static int` | `TLS_DHE_DSS_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_DHE_DSS_WITH_DES_CBC_SHA`
    `static int` | `TLS_DHE_DSS_WITH_SEED_CBC_SHA`
    `static int` | `TLS_DHE_PSK_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_DHE_PSK_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_DHE_PSK_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_DHE_PSK_WITH_AES_128_CCM`
    `static int` | `TLS_DHE_PSK_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_DHE_PSK_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_DHE_PSK_WITH_AES_256_CBC_SHA384`
    `static int` | `TLS_DHE_PSK_WITH_AES_256_CCM`
    `static int` | `TLS_DHE_PSK_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_DHE_PSK_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384`
    `static int` | `TLS_DHE_PSK_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_DHE_PSK_WITH_ESTREAM_SALSA20_SHA1`
    `static int` | `TLS_DHE_PSK_WITH_NULL_SHA`
    `static int` | `TLS_DHE_PSK_WITH_NULL_SHA256`
    `static int` | `TLS_DHE_PSK_WITH_NULL_SHA384`
    `static int` | `TLS_DHE_PSK_WITH_RC4_128_SHA`
    `static int` | `TLS_DHE_PSK_WITH_SALSA20_SHA1`
    `static int` | `TLS_DHE_RSA_EXPORT_WITH_DES40_CBC_SHA`
    `static int` | `TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_DHE_RSA_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_DHE_RSA_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_DHE_RSA_WITH_AES_128_CCM`
    `static int` | `TLS_DHE_RSA_WITH_AES_128_CCM_8`
    `static int` | `TLS_DHE_RSA_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_DHE_RSA_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_DHE_RSA_WITH_AES_256_CBC_SHA256`
    `static int` | `TLS_DHE_RSA_WITH_AES_256_CCM`
    `static int` | `TLS_DHE_RSA_WITH_AES_256_CCM_8`
    `static int` | `TLS_DHE_RSA_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA`
    `static int` | `TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_DHE_RSA_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA`
    `static int` | `TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA256`
    `static int` | `TLS_DHE_RSA_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256`
    `static int` | `TLS_DHE_RSA_WITH_DES_CBC_SHA`
    `static int` | `TLS_DHE_RSA_WITH_ESTREAM_SALSA20_SHA1`
    `static int` | `TLS_DHE_RSA_WITH_SALSA20_SHA1`
    `static int` | `TLS_DHE_RSA_WITH_SEED_CBC_SHA`
    `static int` | `TLS_ECDH_anon_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_ECDH_anon_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_ECDH_anon_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_ECDH_anon_WITH_NULL_SHA`
    `static int` | `TLS_ECDH_anon_WITH_RC4_128_SHA`
    `static int` | `TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384`
    `static int` | `TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_ECDH_ECDSA_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_ECDH_ECDSA_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_ECDH_ECDSA_WITH_CAMELLIA_256_CBC_SHA384`
    `static int` | `TLS_ECDH_ECDSA_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_ECDH_ECDSA_WITH_NULL_SHA`
    `static int` | `TLS_ECDH_ECDSA_WITH_RC4_128_SHA`
    `static int` | `TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_ECDH_RSA_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_ECDH_RSA_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384`
    `static int` | `TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_ECDH_RSA_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_ECDH_RSA_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_ECDH_RSA_WITH_CAMELLIA_256_CBC_SHA384`
    `static int` | `TLS_ECDH_RSA_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_ECDH_RSA_WITH_NULL_SHA`
    `static int` | `TLS_ECDH_RSA_WITH_RC4_128_SHA`
    `static int` | `TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_128_CCM`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_256_CCM`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8`
    `static int` | `TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384`
    `static int` | `TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256`
    `static int` | `TLS_ECDHE_ECDSA_WITH_ESTREAM_SALSA20_SHA1`
    `static int` | `TLS_ECDHE_ECDSA_WITH_NULL_SHA`
    `static int` | `TLS_ECDHE_ECDSA_WITH_RC4_128_SHA`
    `static int` | `TLS_ECDHE_ECDSA_WITH_SALSA20_SHA1`
    `static int` | `TLS_ECDHE_PSK_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA384`
    `static int` | `TLS_ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384`
    `static int` | `TLS_ECDHE_PSK_WITH_ESTREAM_SALSA20_SHA1`
    `static int` | `TLS_ECDHE_PSK_WITH_NULL_SHA`
    `static int` | `TLS_ECDHE_PSK_WITH_NULL_SHA256`
    `static int` | `TLS_ECDHE_PSK_WITH_NULL_SHA384`
    `static int` | `TLS_ECDHE_PSK_WITH_RC4_128_SHA`
    `static int` | `TLS_ECDHE_PSK_WITH_SALSA20_SHA1`
    `static int` | `TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384`
    `static int` | `TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_ECDHE_RSA_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384`
    `static int` | `TLS_ECDHE_RSA_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256`
    `static int` | `TLS_ECDHE_RSA_WITH_ESTREAM_SALSA20_SHA1`
    `static int` | `TLS_ECDHE_RSA_WITH_NULL_SHA`
    `static int` | `TLS_ECDHE_RSA_WITH_RC4_128_SHA`
    `static int` | `TLS_ECDHE_RSA_WITH_SALSA20_SHA1`
    `static int` | `TLS_EMPTY_RENEGOTIATION_INFO_SCSV`
    `static int` | `TLS_FALLBACK_SCSV`
    `static int` | `TLS_NULL_WITH_NULL_NULL`
    `static int` | `TLS_PSK_DHE_WITH_AES_128_CCM_8`
    `static int` | `TLS_PSK_DHE_WITH_AES_256_CCM_8`
    `static int` | `TLS_PSK_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_PSK_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_PSK_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_PSK_WITH_AES_128_CCM`
    `static int` | `TLS_PSK_WITH_AES_128_CCM_8`
    `static int` | `TLS_PSK_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_PSK_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_PSK_WITH_AES_256_CBC_SHA384`
    `static int` | `TLS_PSK_WITH_AES_256_CCM`
    `static int` | `TLS_PSK_WITH_AES_256_CCM_8`
    `static int` | `TLS_PSK_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_PSK_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_PSK_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_PSK_WITH_CAMELLIA_256_CBC_SHA384`
    `static int` | `TLS_PSK_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_PSK_WITH_ESTREAM_SALSA20_SHA1`
    `static int` | `TLS_PSK_WITH_NULL_SHA`
    `static int` | `TLS_PSK_WITH_NULL_SHA256`
    `static int` | `TLS_PSK_WITH_NULL_SHA384`
    `static int` | `TLS_PSK_WITH_RC4_128_SHA`
    `static int` | `TLS_PSK_WITH_SALSA20_SHA1`
    `static int` | `TLS_RSA_EXPORT_WITH_DES40_CBC_SHA`
    `static int` | `TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5`
    `static int` | `TLS_RSA_EXPORT_WITH_RC4_40_MD5`
    `static int` | `TLS_RSA_PSK_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_RSA_PSK_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_RSA_PSK_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_RSA_PSK_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_RSA_PSK_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_RSA_PSK_WITH_AES_256_CBC_SHA384`
    `static int` | `TLS_RSA_PSK_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_RSA_PSK_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384`
    `static int` | `TLS_RSA_PSK_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_RSA_PSK_WITH_ESTREAM_SALSA20_SHA1`
    `static int` | `TLS_RSA_PSK_WITH_NULL_SHA`
    `static int` | `TLS_RSA_PSK_WITH_NULL_SHA256`
    `static int` | `TLS_RSA_PSK_WITH_NULL_SHA384`
    `static int` | `TLS_RSA_PSK_WITH_RC4_128_SHA`
    `static int` | `TLS_RSA_PSK_WITH_SALSA20_SHA1`
    `static int` | `TLS_RSA_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_RSA_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_RSA_WITH_AES_128_CBC_SHA256`
    `static int` | `TLS_RSA_WITH_AES_128_CCM`
    `static int` | `TLS_RSA_WITH_AES_128_CCM_8`
    `static int` | `TLS_RSA_WITH_AES_128_GCM_SHA256`
    `static int` | `TLS_RSA_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_RSA_WITH_AES_256_CBC_SHA256`
    `static int` | `TLS_RSA_WITH_AES_256_CCM`
    `static int` | `TLS_RSA_WITH_AES_256_CCM_8`
    `static int` | `TLS_RSA_WITH_AES_256_GCM_SHA384`
    `static int` | `TLS_RSA_WITH_CAMELLIA_128_CBC_SHA`
    `static int` | `TLS_RSA_WITH_CAMELLIA_128_CBC_SHA256`
    `static int` | `TLS_RSA_WITH_CAMELLIA_128_GCM_SHA256`
    `static int` | `TLS_RSA_WITH_CAMELLIA_256_CBC_SHA`
    `static int` | `TLS_RSA_WITH_CAMELLIA_256_CBC_SHA256`
    `static int` | `TLS_RSA_WITH_CAMELLIA_256_GCM_SHA384`
    `static int` | `TLS_RSA_WITH_DES_CBC_SHA`
    `static int` | `TLS_RSA_WITH_ESTREAM_SALSA20_SHA1`
    `static int` | `TLS_RSA_WITH_IDEA_CBC_SHA`
    `static int` | `TLS_RSA_WITH_NULL_MD5`
    `static int` | `TLS_RSA_WITH_NULL_SHA`
    `static int` | `TLS_RSA_WITH_NULL_SHA256`
    `static int` | `TLS_RSA_WITH_RC4_128_MD5`
    `static int` | `TLS_RSA_WITH_RC4_128_SHA`
    `static int` | `TLS_RSA_WITH_SALSA20_SHA1`
    `static int` | `TLS_RSA_WITH_SEED_CBC_SHA`
    `static int` | `TLS_SRP_SHA_DSS_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_SRP_SHA_DSS_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_SRP_SHA_DSS_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_SRP_SHA_RSA_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_SRP_SHA_RSA_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_SRP_SHA_RSA_WITH_AES_256_CBC_SHA`
    `static int` | `TLS_SRP_SHA_WITH_3DES_EDE_CBC_SHA`
    `static int` | `TLS_SRP_SHA_WITH_AES_128_CBC_SHA`
    `static int` | `TLS_SRP_SHA_WITH_AES_256_CBC_SHA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherSuite()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isSCSV(int cipherSuite)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TLS_NULL_WITH_NULL_NULL

          public static final int TLS_NULL_WITH_NULL_NULL

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_NULL_MD5

          public static final int TLS_RSA_WITH_NULL_MD5

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_NULL_SHA

          public static final int TLS_RSA_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_EXPORT_WITH_RC4_40_MD5

          public static final int TLS_RSA_EXPORT_WITH_RC4_40_MD5

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_RC4_128_MD5

          public static final int TLS_RSA_WITH_RC4_128_MD5

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_RC4_128_SHA

          public static final int TLS_RSA_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5

          public static final int TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_IDEA_CBC_SHA

          public static final int TLS_RSA_WITH_IDEA_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_EXPORT_WITH_DES40_CBC_SHA

          public static final int TLS_RSA_EXPORT_WITH_DES40_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_DES_CBC_SHA

          public static final int TLS_RSA_WITH_DES_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_RSA_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_EXPORT_WITH_DES40_CBC_SHA

          public static final int TLS_DH_DSS_EXPORT_WITH_DES40_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_DES_CBC_SHA

          public static final int TLS_DH_DSS_WITH_DES_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_EXPORT_WITH_DES40_CBC_SHA

          public static final int TLS_DH_RSA_EXPORT_WITH_DES40_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_DES_CBC_SHA

          public static final int TLS_DH_RSA_WITH_DES_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_EXPORT_WITH_DES40_CBC_SHA

          public static final int TLS_DHE_DSS_EXPORT_WITH_DES40_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_DES_CBC_SHA

          public static final int TLS_DHE_DSS_WITH_DES_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_EXPORT_WITH_DES40_CBC_SHA

          public static final int TLS_DHE_RSA_EXPORT_WITH_DES40_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_DES_CBC_SHA

          public static final int TLS_DHE_RSA_WITH_DES_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_EXPORT_WITH_RC4_40_MD5

          public static final int TLS_DH_anon_EXPORT_WITH_RC4_40_MD5

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_RC4_128_MD5

          public static final int TLS_DH_anon_WITH_RC4_128_MD5

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_EXPORT_WITH_DES40_CBC_SHA

          public static final int TLS_DH_anon_EXPORT_WITH_DES40_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_DES_CBC_SHA

          public static final int TLS_DH_anon_WITH_DES_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_DH_anon_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_128_CBC_SHA

          public static final int TLS_RSA_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_AES_128_CBC_SHA

          public static final int TLS_DH_DSS_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_AES_128_CBC_SHA

          public static final int TLS_DH_RSA_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_AES_128_CBC_SHA

          public static final int TLS_DHE_DSS_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_128_CBC_SHA

          public static final int TLS_DHE_RSA_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_AES_128_CBC_SHA

          public static final int TLS_DH_anon_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_256_CBC_SHA

          public static final int TLS_RSA_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_AES_256_CBC_SHA

          public static final int TLS_DH_DSS_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_AES_256_CBC_SHA

          public static final int TLS_DH_RSA_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_AES_256_CBC_SHA

          public static final int TLS_DHE_DSS_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_256_CBC_SHA

          public static final int TLS_DHE_RSA_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_AES_256_CBC_SHA

          public static final int TLS_DH_anon_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_CAMELLIA_128_CBC_SHA

          public static final int TLS_RSA_WITH_CAMELLIA_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA

          public static final int TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA

          public static final int TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA

          public static final int TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA

          public static final int TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA

          public static final int TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_CAMELLIA_256_CBC_SHA

          public static final int TLS_RSA_WITH_CAMELLIA_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA

          public static final int TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA

          public static final int TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA

          public static final int TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA

          public static final int TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA

          public static final int TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_RSA_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_DH_DSS_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_DH_RSA_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_DHE_DSS_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_DHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_DH_anon_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_CAMELLIA_256_CBC_SHA256

          public static final int TLS_RSA_WITH_CAMELLIA_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA256

          public static final int TLS_DH_DSS_WITH_CAMELLIA_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA256

          public static final int TLS_DH_RSA_WITH_CAMELLIA_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA256

          public static final int TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA256

          public static final int TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA256

          public static final int TLS_DH_anon_WITH_CAMELLIA_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_SEED_CBC_SHA

          public static final int TLS_RSA_WITH_SEED_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_SEED_CBC_SHA

          public static final int TLS_DH_DSS_WITH_SEED_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_SEED_CBC_SHA

          public static final int TLS_DH_RSA_WITH_SEED_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_SEED_CBC_SHA

          public static final int TLS_DHE_DSS_WITH_SEED_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_SEED_CBC_SHA

          public static final int TLS_DHE_RSA_WITH_SEED_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_SEED_CBC_SHA

          public static final int TLS_DH_anon_WITH_SEED_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_RC4_128_SHA

          public static final int TLS_PSK_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_PSK_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_128_CBC_SHA

          public static final int TLS_PSK_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_256_CBC_SHA

          public static final int TLS_PSK_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_RC4_128_SHA

          public static final int TLS_DHE_PSK_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_DHE_PSK_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_AES_128_CBC_SHA

          public static final int TLS_DHE_PSK_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_AES_256_CBC_SHA

          public static final int TLS_DHE_PSK_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_RC4_128_SHA

          public static final int TLS_RSA_PSK_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_RSA_PSK_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_AES_128_CBC_SHA

          public static final int TLS_RSA_PSK_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_AES_256_CBC_SHA

          public static final int TLS_RSA_PSK_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_NULL_SHA

          public static final int TLS_ECDH_ECDSA_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_RC4_128_SHA

          public static final int TLS_ECDH_ECDSA_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA

          public static final int TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA

          public static final int TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_NULL_SHA

          public static final int TLS_ECDHE_ECDSA_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_RC4_128_SHA

          public static final int TLS_ECDHE_ECDSA_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA

          public static final int TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA

          public static final int TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_NULL_SHA

          public static final int TLS_ECDH_RSA_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_RC4_128_SHA

          public static final int TLS_ECDH_RSA_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_AES_128_CBC_SHA

          public static final int TLS_ECDH_RSA_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_AES_256_CBC_SHA

          public static final int TLS_ECDH_RSA_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_NULL_SHA

          public static final int TLS_ECDHE_RSA_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_RC4_128_SHA

          public static final int TLS_ECDHE_RSA_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA

          public static final int TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA

          public static final int TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_anon_WITH_NULL_SHA

          public static final int TLS_ECDH_anon_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_anon_WITH_RC4_128_SHA

          public static final int TLS_ECDH_anon_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_anon_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_ECDH_anon_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_anon_WITH_AES_128_CBC_SHA

          public static final int TLS_ECDH_anon_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDH_anon_WITH_AES_256_CBC_SHA

          public static final int TLS_ECDH_anon_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_NULL_SHA

          public static final int TLS_PSK_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_NULL_SHA

          public static final int TLS_DHE_PSK_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_NULL_SHA

          public static final int TLS_RSA_PSK_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_SRP_SHA_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_SRP_SHA_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_SRP_SHA_RSA_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_SRP_SHA_RSA_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_SRP_SHA_DSS_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_SRP_SHA_DSS_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_SRP_SHA_WITH_AES_128_CBC_SHA

          public static final int TLS_SRP_SHA_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_SRP_SHA_RSA_WITH_AES_128_CBC_SHA

          public static final int TLS_SRP_SHA_RSA_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_SRP_SHA_DSS_WITH_AES_128_CBC_SHA

          public static final int TLS_SRP_SHA_DSS_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_SRP_SHA_WITH_AES_256_CBC_SHA

          public static final int TLS_SRP_SHA_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_SRP_SHA_RSA_WITH_AES_256_CBC_SHA

          public static final int TLS_SRP_SHA_RSA_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_SRP_SHA_DSS_WITH_AES_256_CBC_SHA

          public static final int TLS_SRP_SHA_DSS_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_NULL_SHA256

          public static final int TLS_RSA_WITH_NULL_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_128_CBC_SHA256

          public static final int TLS_RSA_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_256_CBC_SHA256

          public static final int TLS_RSA_WITH_AES_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_AES_128_CBC_SHA256

          public static final int TLS_DH_DSS_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_AES_128_CBC_SHA256

          public static final int TLS_DH_RSA_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_AES_128_CBC_SHA256

          public static final int TLS_DHE_DSS_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_128_CBC_SHA256

          public static final int TLS_DHE_RSA_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_AES_256_CBC_SHA256

          public static final int TLS_DH_DSS_WITH_AES_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_AES_256_CBC_SHA256

          public static final int TLS_DH_RSA_WITH_AES_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_AES_256_CBC_SHA256

          public static final int TLS_DHE_DSS_WITH_AES_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_256_CBC_SHA256

          public static final int TLS_DHE_RSA_WITH_AES_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_AES_128_CBC_SHA256

          public static final int TLS_DH_anon_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_AES_256_CBC_SHA256

          public static final int TLS_DH_anon_WITH_AES_256_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_128_GCM_SHA256

          public static final int TLS_RSA_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_256_GCM_SHA384

          public static final int TLS_RSA_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_128_GCM_SHA256

          public static final int TLS_DHE_RSA_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_256_GCM_SHA384

          public static final int TLS_DHE_RSA_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_AES_128_GCM_SHA256

          public static final int TLS_DH_RSA_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_AES_256_GCM_SHA384

          public static final int TLS_DH_RSA_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_AES_128_GCM_SHA256

          public static final int TLS_DHE_DSS_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_AES_256_GCM_SHA384

          public static final int TLS_DHE_DSS_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_AES_128_GCM_SHA256

          public static final int TLS_DH_DSS_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_AES_256_GCM_SHA384

          public static final int TLS_DH_DSS_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_AES_128_GCM_SHA256

          public static final int TLS_DH_anon_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_AES_256_GCM_SHA384

          public static final int TLS_DH_anon_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256

          public static final int TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384

          public static final int TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256

          public static final int TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384

          public static final int TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256

          public static final int TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384

          public static final int TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256

          public static final int TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384

          public static final int TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256

          public static final int TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384

          public static final int TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256

          public static final int TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384

          public static final int TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256

          public static final int TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384

          public static final int TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256

          public static final int TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384

          public static final int TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_128_GCM_SHA256

          public static final int TLS_PSK_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_256_GCM_SHA384

          public static final int TLS_PSK_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_AES_128_GCM_SHA256

          public static final int TLS_DHE_PSK_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_AES_256_GCM_SHA384

          public static final int TLS_DHE_PSK_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_AES_128_GCM_SHA256

          public static final int TLS_RSA_PSK_WITH_AES_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_AES_256_GCM_SHA384

          public static final int TLS_RSA_PSK_WITH_AES_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_128_CBC_SHA256

          public static final int TLS_PSK_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_256_CBC_SHA384

          public static final int TLS_PSK_WITH_AES_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_NULL_SHA256

          public static final int TLS_PSK_WITH_NULL_SHA256

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_NULL_SHA384

          public static final int TLS_PSK_WITH_NULL_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_AES_128_CBC_SHA256

          public static final int TLS_DHE_PSK_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_AES_256_CBC_SHA384

          public static final int TLS_DHE_PSK_WITH_AES_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_NULL_SHA256

          public static final int TLS_DHE_PSK_WITH_NULL_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_NULL_SHA384

          public static final int TLS_DHE_PSK_WITH_NULL_SHA384

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_AES_128_CBC_SHA256

          public static final int TLS_RSA_PSK_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_AES_256_CBC_SHA384

          public static final int TLS_RSA_PSK_WITH_AES_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_NULL_SHA256

          public static final int TLS_RSA_PSK_WITH_NULL_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_NULL_SHA384

          public static final int TLS_RSA_PSK_WITH_NULL_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_RC4_128_SHA

          public static final int TLS_ECDHE_PSK_WITH_RC4_128_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_3DES_EDE_CBC_SHA

          public static final int TLS_ECDHE_PSK_WITH_3DES_EDE_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA

          public static final int TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA

          public static final int TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA256

          public static final int TLS_ECDHE_PSK_WITH_AES_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA384

          public static final int TLS_ECDHE_PSK_WITH_AES_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_NULL_SHA

          public static final int TLS_ECDHE_PSK_WITH_NULL_SHA

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_NULL_SHA256

          public static final int TLS_ECDHE_PSK_WITH_NULL_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_NULL_SHA384

          public static final int TLS_ECDHE_PSK_WITH_NULL_SHA384

      See Also:
        Constant Field Values

    - #### TLS_EMPTY_RENEGOTIATION_INFO_SCSV

          public static final int TLS_EMPTY_RENEGOTIATION_INFO_SCSV

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

          public static final int TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_ECDH_ECDSA_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

          public static final int TLS_ECDH_ECDSA_WITH_CAMELLIA_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_ECDHE_RSA_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384

          public static final int TLS_ECDHE_RSA_WITH_CAMELLIA_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_ECDH_RSA_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_CAMELLIA_256_CBC_SHA384

          public static final int TLS_ECDH_RSA_WITH_CAMELLIA_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_RSA_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_RSA_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_DHE_RSA_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_DHE_RSA_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_DH_RSA_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_RSA_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_DH_RSA_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_DHE_DSS_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_DSS_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_DHE_DSS_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_DH_DSS_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_DSS_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_DH_DSS_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_DH_anon_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DH_anon_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_DH_anon_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_ECDH_ECDSA_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDH_ECDSA_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_ECDH_ECDSA_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_ECDHE_RSA_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_ECDHE_RSA_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_ECDH_RSA_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDH_RSA_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_ECDH_RSA_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_PSK_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_PSK_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_DHE_PSK_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_DHE_PSK_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_CAMELLIA_128_GCM_SHA256

          public static final int TLS_RSA_PSK_WITH_CAMELLIA_128_GCM_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_CAMELLIA_256_GCM_SHA384

          public static final int TLS_RSA_PSK_WITH_CAMELLIA_256_GCM_SHA384

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_PSK_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_CAMELLIA_256_CBC_SHA384

          public static final int TLS_PSK_WITH_CAMELLIA_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_DHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

          public static final int TLS_DHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_RSA_PSK_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384

          public static final int TLS_RSA_PSK_WITH_CAMELLIA_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

          public static final int TLS_ECDHE_PSK_WITH_CAMELLIA_128_CBC_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

          public static final int TLS_ECDHE_PSK_WITH_CAMELLIA_256_CBC_SHA384

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_128_CCM

          public static final int TLS_RSA_WITH_AES_128_CCM

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_256_CCM

          public static final int TLS_RSA_WITH_AES_256_CCM

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_128_CCM

          public static final int TLS_DHE_RSA_WITH_AES_128_CCM

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_256_CCM

          public static final int TLS_DHE_RSA_WITH_AES_256_CCM

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_128_CCM_8

          public static final int TLS_RSA_WITH_AES_128_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_AES_256_CCM_8

          public static final int TLS_RSA_WITH_AES_256_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_128_CCM_8

          public static final int TLS_DHE_RSA_WITH_AES_128_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_AES_256_CCM_8

          public static final int TLS_DHE_RSA_WITH_AES_256_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_128_CCM

          public static final int TLS_PSK_WITH_AES_128_CCM

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_256_CCM

          public static final int TLS_PSK_WITH_AES_256_CCM

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_AES_128_CCM

          public static final int TLS_DHE_PSK_WITH_AES_128_CCM

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_AES_256_CCM

          public static final int TLS_DHE_PSK_WITH_AES_256_CCM

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_128_CCM_8

          public static final int TLS_PSK_WITH_AES_128_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_AES_256_CCM_8

          public static final int TLS_PSK_WITH_AES_256_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_PSK_DHE_WITH_AES_128_CCM_8

          public static final int TLS_PSK_DHE_WITH_AES_128_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_PSK_DHE_WITH_AES_256_CCM_8

          public static final int TLS_PSK_DHE_WITH_AES_256_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_128_CCM

          public static final int TLS_ECDHE_ECDSA_WITH_AES_128_CCM

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_256_CCM

          public static final int TLS_ECDHE_ECDSA_WITH_AES_256_CCM

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8

          public static final int TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8

          public static final int TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256

          public static final int TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256

          public static final int TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256

          public static final int TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_ESTREAM_SALSA20_SHA1

          public static final int TLS_RSA_WITH_ESTREAM_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_RSA_WITH_SALSA20_SHA1

          public static final int TLS_RSA_WITH_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_ESTREAM_SALSA20_SHA1

          public static final int TLS_ECDHE_RSA_WITH_ESTREAM_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_RSA_WITH_SALSA20_SHA1

          public static final int TLS_ECDHE_RSA_WITH_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_ESTREAM_SALSA20_SHA1

          public static final int TLS_ECDHE_ECDSA_WITH_ESTREAM_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_ECDSA_WITH_SALSA20_SHA1

          public static final int TLS_ECDHE_ECDSA_WITH_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_ESTREAM_SALSA20_SHA1

          public static final int TLS_PSK_WITH_ESTREAM_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_PSK_WITH_SALSA20_SHA1

          public static final int TLS_PSK_WITH_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_ESTREAM_SALSA20_SHA1

          public static final int TLS_ECDHE_PSK_WITH_ESTREAM_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_ECDHE_PSK_WITH_SALSA20_SHA1

          public static final int TLS_ECDHE_PSK_WITH_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_ESTREAM_SALSA20_SHA1

          public static final int TLS_RSA_PSK_WITH_ESTREAM_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_RSA_PSK_WITH_SALSA20_SHA1

          public static final int TLS_RSA_PSK_WITH_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_ESTREAM_SALSA20_SHA1

          public static final int TLS_DHE_PSK_WITH_ESTREAM_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_DHE_PSK_WITH_SALSA20_SHA1

          public static final int TLS_DHE_PSK_WITH_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_ESTREAM_SALSA20_SHA1

          public static final int TLS_DHE_RSA_WITH_ESTREAM_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_DHE_RSA_WITH_SALSA20_SHA1

          public static final int TLS_DHE_RSA_WITH_SALSA20_SHA1

      See Also:
        Constant Field Values

    - #### TLS_FALLBACK_SCSV

          public static final int TLS_FALLBACK_SCSV

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CipherSuite

          public CipherSuite()

  - ### Method Detail

    - #### isSCSV

          public static boolean isSCSV(int cipherSuite)